
Project Sections - Improvement #2218

"Subproject of" and "Parent section" conflict

02 Sep 2013 16:32 - Andriy Lesyuk

Status: Closed Start date: 02 Sep 2013

Priority: Normal Due date:  

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.0.1b   

External issue:    

Description

Section hierarchy is build “on top” of the project hierarchy, i.e., first the sections go, then projects. A project can’t define sections for

its subprojects – all they are forced to use the section of the parent project.

The plugin does a lot to handle this. Thus, you just won’t be able to set the project section for a child project! But...

When you create a new project the creation form allows you to choose the parent project and the project section at the same time...

The latter, actually, will be just ignored, but.

The project form should use JavaScript to prevent confusion! Thus, when user selects the parent project the project section should

disappear or become disabled and so on.

Associated revisions

Revision 7 - 11 Sep 2013 22:45 - Andriy Lesyuk

Added JS for #2218, added permission for #2217 and fixed a bug related to section path

History

#1 - 10 Sep 2013 13:34 - Andriy Lesyuk

- Target version set to 0.0.1b

#2 - 11 Sep 2013 22:46 - Andriy Lesyuk

- Status changed from Open to In Progress

- % Done changed from 0 to 90

#3 - 16 Sep 2013 23:17 - Andriy Lesyuk

- Status changed from In Progress to Closed

- % Done changed from 90 to 100
